org.appng.core.controller.handler

## Class ErrorPageHandler

- java.lang.Object
- - org.appng.core.controller.handler.ErrorPageHandler

- All Implemented Interfaces:
    RequestHandler

      public class ErrorPageHandler
      extends Object
      implements RequestHandler

  A `RequestHandler` responsible for providing 404 error-pages.
  Author:
    Matthias Müller

- - ### Field Summary

    - ### Fields inherited from interface org.appng.core.controller.handler.RequestHandler

      `FORWARDED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorPageHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.http.HttpServletResponse servletResponse, Environment env, Site site, PathInfo pathInfo)` Handles the given `HttpServletRequest`,

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorPageHandler

          public ErrorPageHandler()

  - ### Method Detail

    - #### handle

          public void handle(javax.servlet.http.HttpServletRequest servletRequest,
                             javax.servlet.http.HttpServletResponse servletResponse,
                             Environment env,
                             Site site,
                             PathInfo pathInfo)
                      throws javax.servlet.ServletException,
                             IOException

      Description copied from interface: `RequestHandler`
      Handles the given `HttpServletRequest`,
      Specified by:
        `handle` in interface `RequestHandler`
      Parameters:
        `servletRequest` - the current `HttpServletRequest`
        `servletResponse` - the current `HttpServletResponse`
        `env` - the current `Environment`
        `site` - the current `Site`
        `pathInfo` - the current `PathInfo`
      Throws:
        `javax.servlet.ServletException` - if a servlet-specific error occurs
        `IOException` - if a resource could not be found

Copyright © 2011–2023 aiticon GmbH. All rights reserved.